
Name:    kalgebra 
Summary: 2D and 3D Graph Calculator 
Version: 4.7.2
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/%{name}
Source0: http://download.kde.org/stable/%{version}/src/%{name}-%{version}.tar.bz2

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: libkdeedu-devel >= %{version}
BuildRequires: libkdeedu-static
BuildRequires: readline-devel 

Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: kdebase-runtime%{?_kde4_version: >= %{_kde4_version}}

%description
%{summary}.

%package  libs
Summary:  Runtime files for %{name}
# when split occurred
Conflicts: kdeedu-math-libs < 4.7.0-10
Requires: libkdeedu%{?_isa} >= %{version}
Requires: %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --with-kde --without-mo

## unpackaged files
rm -fv %{buildroot}%{_kde4_libdir}/libanalitza*.so


%check
desktop-file-validate %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
fi

%files -f %{name}.lang
%doc COPYING TODO
%{_kde4_bindir}/calgebra
%{_kde4_bindir}/kalgebra
%{_kde4_bindir}/kalgebramobile
%{_kde4_libdir}/kde4/plasma_applet_kalgebra.so
%{_kde4_datadir}/applications/kde4/kalgebra.desktop
%{_kde4_datadir}/applications/kde4/kalgebramobile.desktop
%{_kde4_iconsdir}/hicolor/*/*/kalgebra.*
%{_kde4_appsdir}/kalgebra/
# own dirs, avoid hard dep on kate-part
%dir %{_kde4_appsdir}/katepart
%dir %{_kde4_appsdir}/katepart/syntax
%{_kde4_appsdir}/katepart/syntax/kalgebra.xml
%{_kde4_datadir}/kde4/services/kalgebra*.desktop
%{_kde4_datadir}/kde4/servicetypes/kalgebrascript.desktop

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files libs
%{_kde4_libdir}/libanalitza.so.*
%{_kde4_libdir}/libanalitzagui.so.*


%changelog
* Wed Oct 05 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.2-1
- 4.7.2

* Sun Sep 18 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.1-1
- 4.7.1
- BR: libkdeedu-static

* Tue Aug 30 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.0-10
- first try

